Bug 2059 - Add new field for CPUs to vzlist
Add new field for CPUs to vzlist
Status: CLOSED FIXED
Product: OpenVZ
Classification: Unclassified
Component: vzctl
rhel6-2.6.32_042stabXXX
Other Other
: P2 enhancement
Assigned To: Kir Kolyshkin
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-22 00:17 EDT by Todd Mueller
Modified: 2015-03-17 11:35 EDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Todd Mueller 2011-10-22 00:17:08 EDT
There is not a category for vzlist, so I am listing this under vzctl. 

Request for enhancement: Add a 'cpus' field name that shows the number of VCPUs assigned to containers. I.E. the value from CPUS="" in the container configuration file.
Comment 1 Kir Kolyshkin 2012-01-10 09:34:10 EST
As a workaround, for running CT on a recent kernel/vzctl try

 cat /proc/vz/fairsched/$CTID/cpu.shares

0 means unlimited.

Note there are many other interesting things in there :)
Comment 2 Kir Kolyshkin 2012-01-12 03:34:34 EST
Fixed in GIT
http://git.openvz.org/?p=vzctl;a=commit;h=353a3feaa7ef453a69db8f8e7b010e883eecaea1

Available in vzctl-3.0.30
Comment 3 Todd Mueller 2012-01-12 11:30:20 EST
Awsome, thank you!
Comment 4 Sergey Bronnikov 2015-03-17 11:35:42 EDT
Bug was fixed more than one year ago and there were no complains from reporter after fix. We believe bug fix helped and mark bug as closed.